Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.io
Class Portable

    java.lang.Object
      org.mortbay.io.Portable

    public class Portable

extends java.lang.Object

Portability class containing methods not available on all JVMs (specifically SuperWaba).

Author:
  gregw

Field Summary
`static java.lang.String` | `ALL_INTERFACES`

Constructor Summary
`Portable()`

Method Summary
`static void` | `arraycopy(byte[] src, int srcOffset, byte[] dst, int dstOffset, int length)`
`static byte[]` | `getBytes(java.lang.String s)`
`static void` | `throwNotSupported()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_INTERFACES

    public static final java.lang.String ALL_INTERFACES

See Also:
  Constant Field Values

Constructor Detail

### Portable

    public Portable()

Method Detail

### arraycopy

    public static void arraycopy(byte[] src,
                                 int srcOffset,
                                 byte[] dst,
                                 int dstOffset,
                                 int length)

### throwNotSupported

    public static void throwNotSupported()

### getBytes

    public static byte[] getBytes(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.